server:
  http:
    addr: 0.0.0.0:13000
    timeout: 30s
    isOpenSwagger: true #是否开启api文档，仅用于开发、测试，线上禁止启用
    isResponseReqHeaders: true #是否开启响应请求头，仅用于开发调试，线上禁止启用

data:
  db:
    driver: mysql
    source: root:lansexiongdi6,@tcp(47.97.27.195:3306)/merketing?parseTime=True&loc=Local
    maxIdle: 5 #最大的空闲连接数
    maxOpen: 100 #最大连接数，0表示不受限制
    maxLifetime: 5s #连接复用的最大生命周期
    isDebug: true
  redis: #没有则注释此属性
    addr: 47.97.27.195:6379
    password: lansexiongdi@666
    readTimeout: 3s
    writeTimeout: 3s
    poolSize: 5 #连接池大小，不配置，或配置为0表示不启用连接池
    minIdleConns: 2 #最小空闲连接数
    connMaxIdleTime: 30s #每个连接最大空闲时间，如果超过了这个时间会被关闭
    db: 1

rocketMQ:
  addr: "http://rmq-cn-nwy3fn4ex09.cn-chengdu.rmq.aliyuncs.com:8080"
  accessKey: "Qecl4cea2IAZPKoD"
  secretKey: "Z3596KCFA9RAUR6k"
  secretToken: ""
  eventMap:
    order:
      topic: voucher_order_create
      group: voucher_order_create_group
      isOpenConsumer: false #是否启动消费 true/false
      PerCoroutineCnt: 5 #协程数量，不配置默认为20
      RetryCnt: 3 #重试次数,不配置默认38
    notify:
      topic: voucher_order_notify
      group: voucher_order_notify_group
      isOpenConsumer: false #是否启动消费 true/false
      PerCoroutineCnt: 5 #协程数量，不配置默认为20
      RetryCnt: 3 #重试次数,不配置默认38

wechat:
  mchID: "1605446142" # 证书所属商户 蓝色兄弟服务商立减金配置
  mchCertificateSerialNumber: "4D081089DEB385316CBDCB55C070287E4920AC76"

cmb:
  sm2Prk: "8d39ff3d2559258c163f4510f082727f51531e1953ab203d5ab1ea4a6d94fd73"
  sm2Puk: "04d827a7dbaaa358ce45b8c7794a7f54819f5c175005a702370e47f135ef6f5f9732758b1474f218419fe9e87f90c28c3b05f08254c651db27df35fae67b77b2e4" # 公钥，给到招行密钥
  cmbSm2Pik: "9450c673cf801164435b9c164ac1404e87997245bc6f323fde22015875a03f6e" # 招行私钥mock使用，生产不会有该值
  cmbSm2Puk: "04a702106cf530dc981e44cd515b394747cfd6bb059247696b188b25281ea4278fe7c6e34a83680110eec71becd31f5db14abc671e5d8e67ce7ca3c6b3adc86674" # 招行公钥
  mid: "d6fdd78b6fd13a808818286b9cad9687"
  aid: "5efaa21263b94f669a1c90ed0279df20"
  keyAlias: "CO_PUB_KEY_SM2"
  cmbKeyAlias: "SM2_CMBLIFE"
  orgNo: "orgNo" # 发码机构号，固定值，掌上生活优惠券系统提供
  notifyUrl: "https://gateway.dev.cdlsxd.cn/ymt/jd/v1/notify"

#配置日志
logs:
  business: business.log #业务日志路径：如果不写日志，则不配置或配置为空
  access: access.log #访问日志路径：如果不写日志，则不配置或配置为空